## ros-indigo-swri-profiler-tools 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(swri_profiler_tools)

set(BUILD_DEPS
  std_msgs 
  swri_profiler_msgs
  roscpp)

set(RUNTIME_DEPS
  std_msgs 
  swri_profiler_msgs 
  roscpp)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")

### QT ###
if("$ENV{ROS_DISTRO}" STRLESS "kinetic")
  find_package(Qt4 COMPONENTS REQUIRED QtCore QtGui)
  set(Qt_FOUND TRUE)
  set(Qt_INCLUDE_DIRS "${QT_INCLUDE_DIR};${QT_QTCORE_INCLUDE_DIR};${QT_QTGUI_INCLUDE_DIR}")
  set(Qt_LIBRARIES "${QT_QTCORE_LIBRARY};${QT_QTGUI_LIBRARY}")
  set(Qt_LIBS
      Qt4::QtCore
      Qt4::QtGui
      )
else()
  find_package(Qt5Core REQUIRED)
  find_package(Qt5Gui REQUIRED)
  find_package(Qt5Widgets REQUIRED)
  set(CMAKE_INCLUDE_CURRENT_DIR ON)
  # Not necessary for this project, but these Qt_* variables must be set in order
  # for catkin_package to DEPENDS on Qt
  set(Qt_FOUND TRUE)
  set(Qt_INCLUDE_DIRS "${Qt5Core_INCLUDE_DIRS};${Qt5Gui_INCLUDE_DIRS};${Qt5Widgets_INCLUDE_DIRS}")
  set(Qt_LIBRARIES "${Qt5Core_LIBRARIES};${Qt5Gui_LIBRARIES};${Qt5Widgets_LIBRARIES}")
endif()

### Catkin ###
find_package(catkin REQUIRED COMPONENTS ${BUILD_DEPS})

include_directories(include
  ${catkin_INCLUDE_DIRS}
  ${Qt_INCLUDE_DIRS})

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(src)

catkin_package(
  CATKIN_DEPENDS ${RUNTIME_DEPS}
  INCLUDE_DIRS include
  DEPENDS Qt
  LIBRARIES ${PROJECT_NAME})

set(UI_FILES
  ui/profiler_window.ui
  )

set(MOC_HEADER_FILES
  include/swri_profiler_tools/profiler_window.h
  include/swri_profiler_tools/profiler_master.h
  include/swri_profiler_tools/ros_source.h
  include/swri_profiler_tools/ros_source_backend.h
  include/swri_profiler_tools/profile_database.h
  include/swri_profiler_tools/profile.h
  include/swri_profiler_tools/profile_tree_widget.h
  include/swri_profiler_tools/partition_widget.h
  include/swri_profiler_tools/variant_animation.h
  include/swri_profiler_tools/time_plot_widget.h
  )

set(SRC_FILES
  src/register_meta_types.cpp
  src/profiler_window.cpp
  src/profiler_master.cpp
  src/ros_source.cpp
  src/ros_source_backend.cpp
  src/profile_database.cpp
  src/profile.cpp
  src/profiler_msg_adapter.cpp
  src/profile_tree_widget.cpp
  src/util.cpp
  src/partition_widget.cpp
  src/time_plot_widget.cpp
  )

if("$ENV{ROS_DISTRO}" STRLESS "kinetic")
  qt4_add_resources(RCC_SRCS resources/images.qrc)
  qt4_wrap_ui(SRC_FILES ${UI_FILES})
  qt4_wrap_cpp(SRC_FILES ${MOC_HEADER_FILES})
else()
  qt5_add_resources(RCC_SRCS resources/images.qrc)
  qt5_wrap_ui(SRC_FILES ${UI_FILES})
  qt5_wrap_cpp(SRC_FILES ${MOC_HEADER_FILES})
endif()

add_executable(profiler 
  src/main.cpp
  ${SRC_FILES} 
  ${RCC_SRCS})
target_link_libraries(profiler
  ${catkin_LIBRARIES}
  ${Qt_LIBRARIES}
  )

add_dependencies(profiler swri_profiler_msgs_generate_messages_cpp)

### Install Test Node and Headers ###

install(TARGETS
  profiler
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-indigo-swri-profiler-tools (0.2.0-0trusty) trusty; urgency=high

  * Update maintainers
  * Make master build on both Indigo and Kinetic
  * Fix deps, cmakelist and localPos() to get working on indigo
  * Contributors: Matthew Bries, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 18 Apr 2019 05:00:00 -0000

ros-indigo-swri-profiler-tools (0.1.0-0trusty) trusty; urgency=high

  * Kinetic compatibility
  * Contributors: Matthew Bries, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 14 Dec 2017 06:00:00 -0000

ros-indigo-swri-profiler-tools (0.0.3-0trusty) trusty; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 23 Nov 2016 06:00:00 -0000

ros-indigo-swri-profiler-tools (0.0.2-0trusty) trusty; urgency=high

  * Fixing some minor alignment issues in partition widget.
  * Removing the timeline widget, adding time plot widget.
  * Work on timeline, added timeline widget tester.
  * Adding skeleton for timeline widget.
  * Add tool tip to the partition widget to display node name.
  * Add setActiveNode() slot to profile tree widget.
  * Double click on partition widget sets active item.
  * Changing PartitionItem to use QRectF instead of custom limits.
  * Initial support for animation in partition widget.
  * Make partition widget focus on active node.
  * Reworking the partition widget a bit.
  * Basic drawing implemented for PartitionWidget.
  * Work on layout for the partition widget.
  * Update to profiler to handle unexpected case.
  * Working on partition widget.
  * Adding initial active item support to QProfileTreeWidget.
  * Working on ProfileTreeWidget
  * Display profile nodes in ProfileTreeWidget.
  * Change live profile name when deactivated.
  * Some trivial renaming.
  * Rewrite of Profile class.
  * Adding initial ProfileTreeWidget
  * Update derived data for all modified times instead of one.
  * Connect profile signals to profile database.
  * Building tree index and updating derived data in profiles.
  * Working on database backend.
  * Initial work on cpp viewer.
  * Contributors: Elliot Johnson

 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 23 Nov 2016 06:00:00 -0000

=== debian/control ===
Source: ros-indigo-swri-profiler-tools
Section: misc
Priority: extra
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-libqt-dev, ros-indigo-qt-qmake, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-swri-profiler-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-swri-profiler-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-libqt-core, ros-indigo-libqt-dev, ros-indigo-libqt-gui, ros-indigo-libqt-widgets, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-swri-profiler-msgs
Description: Provides tools for viewing data produced by nodes that use the swri_profiler library to output profiling information.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-swri-profiler-tools//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
